package tech.nut.nut_player_android

import android.content.Context
import io.flutter.plugin.platform.PlatformView
import tech.nut.player.NutPlayerView

internal class PlayerFlutterPlatformView(val viewIdentifier: Int, view: NutPlayerView): PlatformView {

    private val nutPlayerView: NutPlayerView

    init {
        nutPlayerView = view
    }

    override fun getView(): NutPlayerView {
        return nutPlayerView
    }

    override fun dispose() {
        nutPlayerView.clear()
    }
}